Subject: Re: [mpls] One question about U and F-bit for Status TLV

From: Mach Chen <[email-masked]>
Date: Wed, 19 Jan 2011 14:39:54 +0800

Yuanlong,

Thanks for your response!

Please see my reply inline...

Best regards,
Mach
--------------------------------------------------
From: "jiangyuanlong" <[email-masked]>
Sent: Wednesday, January 19, 2011 11:19 AM
To: "Mach Chen" <[email-masked]>
Cc: <[email-masked]>
Subject: Re: [mpls] One question about U and F-bit for Status TLV

> Mach,
>
> Please see my comments inline.
>
> Best regards
> Yuanlong
>
> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]] 代表 Mach 
> Chen
> 发送时间: 2011年1月17日 17:54
> 收件人: Mach Chen; [email-masked]
> 主题: Re: [mpls] One question about U and F-bit for Status TLV
>
> The question is about RFC5036
>
> Best regards,
> Mach
>
> --------------------------------------------------
> From: "Mach Chen" <[email-masked]>
> Sent: Monday, January 17, 2011 5:16 PM
> To: <[email-masked]>
> Subject: [mpls] One question about U and F-bit for Status TLV
>
>> Hi,
>>
>> I have one question about U and F-bit setting for Status TLV.
>>
>> In Section 3.3, the F-bit of a TLV is defined as:
>> "F-bit
>>      Forward unknown TLV bit.  This bit applies only when the U-bit is 
>> set
>> and the LDP message containing the unknown TLV is to be forwarded. ..."
>>
>> And in Section 3.4.6.
>> The definition of Status TLV says:
>> "U-bit
>>      SHOULD be 0 when the Status TLV is sent in a Notification message.
>>      SHOULD be 1 when the Status TLV is sent in some other message.
>> F-bit
>>      SHOULD be the same as the setting of the F-bit in the Status Code
>> field."
>>
>> So, for a Notification message contained Status TLV, the F-bit of Status
>> TLV should make no sence. And if an LSR receives a Nofication message and
>> it does not know the Status TLV, the entrie Notification message MUST be
>> ignored.
>>
>> But following up, the Status Code defines:
>> "F-bit
>>      Forward bit.  If set (=1), the notification SHOULD be forwarded to
>> the LSR for the next-hop or previous-hop for the LSP, if any, associated
>> with the event being signaled.  If clear (=0),the notification SHOULD NOT
>> be forwarded."
>>
>> It seems that it wants to use the F-bit to control whether to forward the
>> notification messsage, but this should not work since the U-bit is clear.
> [JYL] IMO, this "notification" does not mean "Notification message", but 
> the
> "Status Code".

Yes, but most of the time, it's the same, because Status TLV is mainly 
designed to be carried in the Notification message.

>
>>
>> I am not sure which is the intent of the specification. I'd appreciate
>> that someone clarify this!
>>
>> Best regards,
>> Mach
>>
>> _______________________________________________
>> mpls mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mpls
>>
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: Mach Chen <[email-masked]>
Date: Thu, 20 Jan 2011 16:05:15 +0800

Yuanlong,

> [JYL] At the end of Sec.3.4.6:
>   "Note that use of the Status TLV is not limited to Notification
>   messages.  A message other than a Notification message may carry a
>   Status TLV as an Optional Parameter.  When a message other than a
>   Notification carries a Status TLV, the U-bit of the Status TLV SHOULD
>   be set to 1 to indicate that the receiver SHOULD silently discard the
>   TLV if unprepared to handle it."
> From this note, it seems to me F=1 in the Status TLV only applies to
> a message other than a Notification message.

This is one reasonable explanation. And that means an LSR can not forward 
the Status TLV received in a Notification message to other LSRs.

Best regards,
Mach